package com.aidex.common.plush.mapper;

import com.aidex.common.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.aidex.common.plush.domain.SysShipExtend;

/**
 * 船只信息扩展（查询站点数据使用）Mapper接口
 * @author shs
 * @email shs@woshs.com
 * @date 2024-03-27
 */
public interface SysShipExtendMapper extends BaseMapper<SysShipExtend>
{

    void updateByMacId(SysShipExtend sysShipExtend);

    void updateByShip(SysShipExtend sysShipExtend);

    void deleteByIds(@Param("ids") String[] configIds);
}
